package errs

import (
	"errors"
)

var (
	ErrBadData    error = errors.New("unable to serialize/cast data into buffer; unknown or invalid data object")
	ErrBadIVLen         = errors.New("the cipher IV/nonce does not match the expected key size/is of an invalid length")
	ErrBadKeyLen        = errors.New("the cipher key does not match the expected key size/is of an invalid length")
	ErrMissingIV        = errors.New("the cipher IV/nonce is empty or missing; Cipher was not setup properly")
	ErrMissingKey       = errors.New("the cipher key is empty or missing; Cipher was not setup properly")
)
